import std/[strutils, tables]
import ../../cirrus
from ../../modules/grammar import getGrammarNames


proc hdlCharaHelp*(st: ServerState, msg: Message): void =
  var 
    names = getGrammarNames(st.codePrefix)
    help = "Hi, I'm " & st.nick & ", a bot with random features. " &
    "You can find my source code at https://git.tilde.town/mio/cirrus. " &
    "I'll respond to these phrases: " & join(names, ", ")
  message(st.sock, msg.replyTo, help)


when defined(nimHasUsed):
  {.used.}

handlers["hdlCharaHelp"] = hdlCharaHelp
